Create a checklist on a workflow task Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
POST /api/v1/workflow/{workflow_uuid}/task/{workflowTask_uuid}/checklists

Path parameters

  • workflow_uuid string Required
  • workflowTask_uuid string Required
  • workflowTask string Required

    The UUID of the workflow task.

application/json

Body

  • name string Required

    The name of the checklist.

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • uuid string
    • created_at string
    • updated_at string
    • name string
    • order integer
    • items array[object]
      Hide items attributes Show items attributes object
      • uuid string
      • created_at string
      • updated_at string
      • name string
      • is_checked boolean
      • checked_at string
      • checked_by object
        Hide checked_by attributes Show checked_by attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • type

          Account type

        • role

          Account role

        • first_name

          First name

        • last_name

          Last name

        • name

          Name

        • email

          (Deprecated - Please use primary_email instead). The email of the account.

        • photo_url

          URL for initial avatar image

        • first_contact_date

          First contact date

        • next_review_date

          Next review date

        • previous_review_date

          Previous review date

        • anniversary_review_date

          Anniversary review date

        • terms_of_business_at

          Date the Terms of Business were agreed and signed

        • client_agreement_at

          Date the client agreement was agreed and signed

        • with_login

          Denotes whether the account has a login to Plannr

        • has_joint_account

          Denotes whether this account belongs to a joint account too

        • can_be_deleted

          Denotes if the account can be deleted

        • ownership_percentage

          Percentage ownership of the plan (This field is only present if viewing the account record via a plans relationship eg Plan -> Accounts)

        • inactive_at

          Inactive from date

        • last_interaction_at

          Last interaction date

        • referral_code

          Unique referral code for the employee account (employees only)

        • is_out_of_office

          Denotes whether the account is currently within an active Out of Office window (employees only)

        • out_of_office_from

          Start of the Out of Office period (employees only). Null when not out of office

        • out_of_office_until

          End of the Out of Office period (employees only). Null when not out of office

        • out_of_office_message

          Message shown to portal users while the account is Out of Office (employees only). Null when not out of office

        • permissions

          Permission map where keys are permission names and values are target arrays

      • order integer
  • 422 application/json

    Validation error

    Hide response attributes Show response attributes object
    • message string Required

      A human-readable description of the error.

    • errors object

      Validation messages keyed by the field that failed.

      Hide errors attribute Show errors attribute object
      • * array[string] Additional properties
POST /api/v1/workflow/{workflow_uuid}/task/{workflowTask_uuid}/checklists
curl \
 --request POST 'https://api.plannrcrm.com/api/v1/workflow/6ff8f7f6-1eb3-3525-be4a-3932c805afed/task/6ff8f7f6-1eb3-3525-be4a-3932c805afed/checklists' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"name":"Pre-meeting checks"}'
Request examples
{
  "name": "Pre-meeting checks"
}
Response examples (200)
{
  "uuid": "2cd835f2-2cb9-4ad5-a17b-bc0085e1de86",
  "created_at": "2026-08-03T11:21:29+01:00",
  "updated_at": "2026-08-03T11:21:29+01:00",
  "name": "Pre-meeting checks",
  "order": 0,
  "items": [
    {
      "uuid": "c2e0953d-e3a7-4734-90bb-4ef6110823d7",
      "created_at": "2026-08-03T11:21:29+01:00",
      "updated_at": "2026-08-03T11:21:29+01:00",
      "name": "Send calendar invite",
      "is_checked": false,
      "checked_at": "2021-01-01 00:00:00",
      "checked_by": {
        "uuid": "b6d5bd82-90b9-4a6b-8758-4f2cfdd2757e",
        "created_at": "2026-08-03T11:21:35+01:00",
        "updated_at": "2026-08-03T11:21:35+01:00",
        "type": "client",
        "role": "client",
        "first_name": "Gareth",
        "last_name": "Thompson",
        "name": "Gareth Thompson",
        "email": "gareth@codepotato.co.uk",
        "photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
        "first_contact_date": "2026-08-03T11:21:35+01:00",
        "next_review_date": "2026-08-03T11:21:35+01:00",
        "previous_review_date": "2026-08-03T11:21:35+01:00",
        "anniversary_review_date": "2026-08-03T11:21:35+01:00",
        "terms_of_business_at": "2026-08-03T11:21:35+01:00",
        "client_agreement_at": "2026-08-03T11:21:35+01:00",
        "with_login": true,
        "has_joint_account": true,
        "can_be_deleted": "false",
        "ownership_percentage": 100.0,
        "inactive_at": "2026-08-03",
        "last_interaction_at": "2026-08-03 11:21:35",
        "referral_code": "ABC12345",
        "is_out_of_office": true,
        "out_of_office_from": "2026-08-03T11:21:35+01:00",
        "out_of_office_until": "2026-08-03T11:21:35+01:00",
        "out_of_office_message": "I am away this week. For urgent matters please contact the office.",
        "permissions": {
          "firm:read": [
            "firm"
          ],
          "network:read": [
            "network:uuid"
          ]
        }
      },
      "order": 0
    }
  ]
}
Response examples (422)
{
  "message": "The given data was invalid.",
  "errors": {
    "field": [
      "The field is invalid."
    ]
  }
}